Module ij
Package ij.process

# Class FloodFiller

java.lang.Object
ij.process.FloodFiller

public class FloodFiller extends Object
This class, which does flood filling, is used by the floodFill() macro function and by the particle analyzer The Wikipedia at "http://en.wikipedia.org/wiki/Flood_fill" has a good description of the algorithm used here as well as examples in C and Java.

## Constructor Summary

Constructors
Constructor
Description
`FloodFiller(ImageProcessor ip)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`fill(int x, int y)`
Does a 4-connected flood fill using the current fill/draw value, which is defined by ImageProcessor.setValue().
`boolean`
`fill8(int x, int y)`
Does a 8-connected flood fill using the current fill/draw value, which is defined by ImageProcessor.setValue().
`void`
`particleAnalyzerFill(int x, int y, double level1, double level2, ImageProcessor mask, Rectangle bounds)`
This method is used by the particle analyzer to remove interior holes from particle masks.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FloodFiller

public FloodFiller(ImageProcessor ip)

## Method Details

### fill

public boolean fill(int x, int y)
Does a 4-connected flood fill using the current fill/draw value, which is defined by ImageProcessor.setValue().

### fill8

public boolean fill8(int x, int y)
Does a 8-connected flood fill using the current fill/draw value, which is defined by ImageProcessor.setValue().

### particleAnalyzerFill

public void particleAnalyzerFill(int x, int y, double level1, double level2, ImageProcessor mask, Rectangle bounds)
This method is used by the particle analyzer to remove interior holes from particle masks.